Bug 25299 - Date not showing on Details page when patron is going to expire
Summary: Date not showing on Details page when patron is going to expire
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-28 01:39 UTC by David Cook
Modified: 2020-05-14 22:33 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25299: Show soon to expire patron date (2.00 KB, patch)
2020-04-28 01:43 UTC, David Cook
Details | Diff | Splinter Review
Bug 25299: Show soon to expire patron date (2.21 KB, patch)
2020-04-28 05:11 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 25299: Show soon to expire patron date (2.27 KB, patch)
2020-04-28 18:55 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-04-28 01:39:35 UTC
The date doesn't show on the Details page when the patron is going to expire.

It does appear on the "Check out" page, however.
Comment 1 David Cook 2020-04-28 01:43:58 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2020-04-28 05:11:12 UTC
Created attachment 103822 [details] [review]
Bug 25299: Show soon to expire patron date

This patch fixes the call to show the patron expiry date
on the Details page when the patron is soon to expire.

Test plan:
0. Do not apply patch yet
1. Create a patron
2. Set patron's date expiry to 3 days from today
3. Go to Details tab
4. Note message "Expiration: Patron's card will expire soon.
Patron's card expires on Renew or Edit details"
5. Apply patch
4. Note message pattern "Expiration: Patron's card will expire soon.
Patron's card expires on XX/XX/XXXX Renew or Edit details"

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Without this patch the display was incomplete on patron detail tab
Comment 3 David Cook 2020-04-28 05:44:12 UTC
Thanks, Frédéric. Much appreciated!
Comment 4 Katrin Fischer 2020-04-28 18:55:05 UTC
Created attachment 103879 [details] [review]
Bug 25299: Show soon to expire patron date

This patch fixes the call to show the patron expiry date
on the Details page when the patron is soon to expire.

Test plan:
0. Do not apply patch yet
1. Create a patron
2. Set patron's date expiry to 3 days from today
3. Go to Details tab
4. Note message "Expiration: Patron's card will expire soon.
Patron's card expires on Renew or Edit details"
5. Apply patch
4. Note message pattern "Expiration: Patron's card will expire soon.
Patron's card expires on XX/XX/XXXX Renew or Edit details"

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>
Without this patch the dispay was incomplete on patron detail tab

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2020-04-28 18:55:24 UTC
Good catch!
Comment 6 David Cook 2020-04-28 23:47:56 UTC
(In reply to Katrin Fischer from comment #5)
> Good catch!

Thanks but I can't take the credit. We upgraded one of our libraries to 19.11 recently, and a librarian there has a very keen eye!
Comment 7 Martin Renvoize 2020-04-29 15:25:39 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Joy Nelson 2020-05-08 22:33:23 UTC
Backported to 19.11.x for 19.11.06
Comment 9 Lucas Gass 2020-05-14 22:33:47 UTC
backported to 19.05.x for 19.05.11